APIs / Snapchat / Profile

Snapchat: Profile

Profile from Snapchat as JSON. 1 credit per successful call.

GET /v1/snapchat/profileNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
usernamestringRequiredUp to 64 characters
localestringOptionalUp to 16 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/snapchat/profile?username=truss_hair&locale=en-US" \
  -H "X-API-Key: $API_KEY"